local fluids = {{"water", 0}, {"heavy-oil", 0}, {"light-oil", 0}, {"petroleum-gas", 0}, {"lubricant", 0}, {"sulfuric-acid", 0}, {"methanol", 0}}
if Config.SulfurProcessingChain then
	table.insert(fluids, {"sulfur-trioxide", 0})
	table.insert(fluids, {"disulfuric-acid", 0})
end
if Config.NewRocketFuelRecipe then
	table.insert(fluids, {"methylhydrazine", "100MJ"})
	table.insert(fluids, {"dimethylhydrazine", "100MJ"})
end

local chars = {"a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z"}

for i,fluid in ipairs(fluids) do
	local item = fluid[1] .. "-barrel"
	local fill = "fill-" .. fluid[1] .. "-barrel"
	local empty = "empty-" .. fluid[1] .. "-barrel"
	local item_prototype = {
	  type = "item",
	  name = item,
	  icon = "__N.Tech-Chemistry__/graphics/icons/barrel/" .. item .. ".png",
	  flags = {"goes-to-main-inventory"},
	  subgroup = "barrel",
	  order = chars[i + 2] .. "[" .. item .. "]",
	  stack_size = 10
	}
	if fluid[2] ~= 0 then
		item_prototype.fuel_value = fluid[2]
	end
	local fill_prototype = {
	  type = "recipe",
	  name = fill,
	  icon = "__N.Tech-Chemistry__/graphics/icons/barrel/" .. fill .. ".png",
	  category = "crafting-with-fluid",
	  energy_required = 1,
	  subgroup = "barrel",
	  --order = chars[(i * 2) + 2],
	  order = chars[i + 2] .. "[" .. item .. "]-a",
	  enabled = false,
	  ingredients =
	  {
		{type="fluid", name=fluid[1], amount=25},
		{type="item", name="empty-barrel", amount=1},
	  },
	  results=
	  {
		{type="item", name=item, amount=1}
	  }
	}
	local empty_prototype = {
	  type = "recipe",
	  name = empty,
	  icon = "__N.Tech-Chemistry__/graphics/icons/barrel/" .. empty .. ".png",
	  category = "crafting-with-fluid",
	  energy_required = 1,
	  subgroup = "barrel",
	  --order = chars[(i * 2) + 3],
	  order = chars[i + 2] .. "[" .. item .. "]-b",
	  enabled = false,
	  ingredients =
	  {
		{type="item", name=item, amount=1}
	  },
	  results=
	  {
		{type="fluid", name=fluid[1], amount=25},
		{type="item", name="empty-barrel", amount=1}
	  }
	}
	data:extend({
	  item_prototype,
	  fill_prototype,
	  empty_prototype
	})
	table.insert(data.raw.technology["fluid-handling"].effects, {
		type = "unlock-recipe",
		recipe = fill
	})
	table.insert(data.raw.technology["fluid-handling"].effects, {
		type = "unlock-recipe",
		recipe = empty
	})
end