-- hydrogen
-- nitrogen
-- oxygen
-- carbon dioxide
-- ammonia
-- methanol
-- methylamine
-- dimethylamine
-- methylhydrazine
-- dimethylhydrazine
-- sulfur-dioxide
-- sulfur-trioxide
-- disulfuric-acid
-- seawater
data:extend({
  {
	type = "fluid",
	name = "hydrogen",
	default_temperature = 25,
	heat_capacity = "0KJ",
	base_color = {r=0.4, g=0.4, b=0.4},
	flow_color = {r=0.5, g=0.5, b=0.5},
	max_temperature = 200,
	icon = "__N.Tech-Chemistry__/graphics/icons/hydrogen.png",
	pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.59,
	subgroup = "fluid",
    order = "b[gases]-a[hydrogen]"
  },
  {
	type = "fluid",
	name = "nitrogen",
	default_temperature = 25,
	heat_capacity = "100J",
	base_color = {r=0.4, g=0.4, b=0.4},
	flow_color = {r=0.5, g=0.5, b=0.5},
	max_temperature = 200,
	icon = "__N.Tech-Chemistry__/graphics/icons/nitrogen.png",
	pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.59,
	subgroup = "fluid",
    order = "b[gases]-c[nitrogen]"
  },
  {
	type = "fluid",
	name = "oxygen",
	default_temperature = 25,
	heat_capacity = "0KJ",
	base_color = {r=0.4, g=0.4, b=0.4},
	flow_color = {r=0.5, g=0.5, b=0.5},
	max_temperature = 200,
	icon = "__N.Tech-Chemistry__/graphics/icons/oxygen.png",
	pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.59,
	subgroup = "fluid",
    order = "b[gases]-b[oxygen]"
  },
  {
	type = "fluid",
	name = "carbon-dioxide",
	default_temperature = 25,
	heat_capacity = "0KJ",
	base_color = {r=0.4, g=0.4, b=0.4},
	flow_color = {r=0.5, g=0.5, b=0.5},
	max_temperature = 200,
	icon = "__N.Tech-Chemistry__/graphics/icons/carbon-dioxide.png",
	pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.59,
	subgroup = "fluid",
    order = "b[gases]-d[carbon-dioxide]"
  },
  {
	type = "fluid",
	name = "ammonia",
	default_temperature = 25,
	heat_capacity = "0KJ",
	base_color = {r=0.4, g=0.4, b=0.4},
	flow_color = {r=0.5, g=0.5, b=0.5},
	max_temperature = 200,
	icon = "__N.Tech-Chemistry__/graphics/icons/ammonia.png",
	pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.59,
	subgroup = "fluid",
    order = "b[gases]-e[ammonia]"
  }
})
if data.raw.fluid["methanol"] == nil then
	data:extend({
	  {
		type = "fluid",
		name = "methanol",
		default_temperature = 25,
		heat_capacity = "0KJ",
		base_color = {r=0.4, g=0.4, b=0.4},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 200,
		icon = "__N.Tech-Chemistry__/graphics/icons/methanol.png",
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		subgroup = "fluid",
		order = "d[organics]-a[methanol]"
	  }
	})
end
if Config.NewRocketFuelRecipe then
	data:extend({
	  {
		type = "fluid",
		name = "methylamine",
		default_temperature = 25,
		heat_capacity = "0KJ",
		base_color = {r=0.4, g=0.4, b=0.4},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 200,
		icon = "__N.Tech-Chemistry__/graphics/icons/methylamine.png",
		pressure_to_speed_ratio = 0.2,
		flow_to_energy_ratio = 0.59,
		subgroup = "fluid",
		order = "d[organics]-b[methylamine]"
	  },
	  {
		type = "fluid",
		name = "dimethylamine",
		default_temperature = 25,
		heat_capacity = "0KJ",
		base_color = {r=0.4, g=0.4, b=0.4},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 200,
		icon = "__N.Tech-Chemistry__/graphics/icons/dimethylamine.png",
		pressure_to_speed_ratio = 0.2,
		flow_to_energy_ratio = 0.59,
		subgroup = "fluid",
		order = "d[organics]-c[dimethylamine]"
	  },
	  {
		type = "fluid",
		name = "methylhydrazine",
		default_temperature = 25,
		heat_capacity = "0KJ",
		base_color = {r=0.4, g=0.4, b=0.4},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 200,
		icon = "__N.Tech-Chemistry__/graphics/icons/methylhydrazine.png",
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		subgroup = "fluid",
		order = "d[organics]-d[methylhydrazine]"
	  },
	  {
		type = "fluid",
		name = "dimethylhydrazine",
		default_temperature = 25,
		heat_capacity = "0KJ",
		base_color = {r=0.4, g=0.4, b=0.4},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 200,
		icon = "__N.Tech-Chemistry__/graphics/icons/dimethylhydrazine.png",
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		subgroup = "fluid",
		order = "d[organics]-e[dimethylhydrazine]"
	  }
	})
end
if Config.SulfurProcessingChain then
	data:extend({
	  {
		type = "fluid",
		name = "sulfur-dioxide",
		default_temperature = 25,
		heat_capacity = "0KJ",
		base_color = {r=0.7, g=0.7, b=0.7},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 100,
		icon = "__N.Tech-Chemistry__/graphics/icons/sulfur-dioxide.png",
		pressure_to_speed_ratio = 0.2,
		flow_to_energy_ratio = 0.59,
		subgroup = "fluid",
		order = "c[sulfuric]-a[sulfur-dioxide]"
	  },
	  {
		type = "fluid",
		name = "sulfur-trioxide",
		default_temperature = 25,
		heat_capacity = "0KJ",
		base_color = {r=0.7, g=0.7, b=0.7},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 100,
		icon = "__N.Tech-Chemistry__/graphics/icons/sulfur-trioxide.png",
		pressure_to_speed_ratio = 0.8,
		flow_to_energy_ratio = 0.59,
		subgroup = "fluid",
		order = "c[sulfuric]-b[sulfur-trioxide]"
	  },
	  {
		type = "fluid",
		name = "disulfuric-acid",
		default_temperature = 25,
		heat_capacity = "1KJ",
		base_color = {r=0.93, g=0.83, b=0.67},
		flow_color = {r=0.5, g=0.5, b=0.5},
		max_temperature = 100,
		icon = "__N.Tech-Chemistry__/graphics/icons/disulfuric-acid.png",
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
		subgroup = "fluid",
		order = "c[sulfuric]-d[disulfuric-acid]"
	  }
	})
	data.raw.fluid["sulfuric-acid"].order = "c[sulfuric]-c[sulfuric-acid]"
	data.raw.fluid["sulfuric-acid"].icon = "__N.Tech-Chemistry__/graphics/icons/sulfuric-acid.png"
end
if Config.Seawater then
	data:extend({
	  {
		type = "fluid",
		name = "seawater",
		default_temperature = 15,
		max_temperature = 100,
		heat_capacity = "700J",
		base_color = {r=0, g=0.41, b=0.33},
		flow_color = {r=0.7, g=0.7, b=0.7},
		icon = "__N.Tech-Chemistry__/graphics/icons/seawater.png",
		order = "a[fluid]-a[water]z",
		pressure_to_speed_ratio = 0.4,
		flow_to_energy_ratio = 0.59,
	  }
	})
	data.raw["offshore-pump"]["offshore-pump"].fluid = "seawater"
end